package kz.cafe.db.model;

import java.util.*;
import kz.cafe.db.model.anotations.*;
import com.google.code.morphia.annotations.*;


@Entity(value="Role", noClassnameStored=true, concern = "SAFE")
public class MRole extends MAbstractDescriptor{
   private static final long serialVersionUID = 3700326687803491105L;
   
   

   @AnnotationIncusiveListManual
   public Set<Integer> screenRead = new HashSet<Integer>();
   
   @AnnotationIncusiveListManual
   public Set<Integer> screenAdd = new HashSet<Integer>();
   
   @AnnotationIncusiveListManual
   public Set<Integer> screenEdit = new HashSet<Integer>();
   
   @AnnotationIncusiveListManual
   public Set<Integer> screenDelete = new HashSet<Integer>();
}
